Loading...
Searching...
No Matches
elastix::BSplineInterpolatorFloat< TElastix > Class Template Reference
Components » Interpolators

`#include <elxBSplineInterpolatorFloat.h>`

## Detailed Description

template<class TElastix>
class elastix::BSplineInterpolatorFloat< TElastix >

An interpolator based on the itk::BSplineInterpolateImageFunction.

This interpolator interpolates images with an underlying B-spline polynomial.

NB: BSplineInterpolation with order 1 is slower than using a LinearInterpolator, but it determines the derivative slightly more accurate at grid points. That's why the registration results can be slightly different.

The parameters used in this class are:

Parameters

  Interpolator: Select this interpolator as follows:
  (Interpolator "BSplineInterpolatorFloat")

  BSplineInterpolationOrder: the order of the B-spline polynomial.
  example: (BSplineInterpolationOrder 3 2 3)
  The default order is 1. The parameter can be specified for each resolution.
  If only given for one resolution, that value is used for the other resolutions as well.

Definition at line 50 of file elxBSplineInterpolatorFloat.h.

Inheritance diagram for elastix::BSplineInterpolatorFloat< TElastix >:
[legend]

## Public Types

using | ConstPointer = itk::SmartPointer<const Self>
using | ITKBaseType = typename Superclass2::ITKBaseType
using | Pointer = itk::SmartPointer<Self>
using | Self = BSplineInterpolatorFloat
using | Superclass1
using | Superclass2 = InterpolatorBase<TElastix>
Public Types inherited from elastix::InterpolatorBase< TElastix >
using | CoordRepType = ElastixBase::CoordRepType
using | ElastixType
using | InputImageType = typename ElastixType::MovingImageType
using | ITKBaseType = itk::InterpolateImageFunction<InputImageType, CoordRepType>
using | RegistrationType
using | Self = InterpolatorBase
using | Superclass = BaseComponentSE<TElastix>
Public Types inherited from elastix::BaseComponentSE< TElastix >
using | ElastixType = TElastix
using | RegistrationType = typename ElastixType::RegistrationBaseType
using | Self = BaseComponentSE
using | Superclass = BaseComponent

## Public Member Functions

void | BeforeEachResolution () override
| elxClassNameMacro ("BSplineInterpolatorFloat")
virtual const char * | GetClassName () const
| ITK_DISALLOW_COPY_AND_MOVE (BSplineInterpolatorFloat)
| itkStaticConstMacro (ImageDimension, unsigned int, Superclass1::ImageDimension)
Public Member Functions inherited from elastix::InterpolatorBase< TElastix >
ITKBaseType * | GetAsITKBaseType ()
const ITKBaseType * | GetAsITKBaseType () const
| ITK_DISALLOW_COPY_AND_MOVE (InterpolatorBase)
Public Member Functions inherited from elastix::BaseComponentSE< TElastix >
void | AddTargetCellToIterationInfo (const char *const name)
const Configuration * | GetConfiguration () const
ElastixType * | GetElastix () const
auto & | GetIterationInfoAt (const char *const name)
RegistrationType * | GetRegistration () const
| ITK_DISALLOW_COPY_AND_MOVE (BaseComponentSE)
void | RemoveTargetCellFromIterationInfo (const char *const name)
void | SetConfiguration (const Configuration *_arg)
void | SetElastix (ElastixType *_arg)
Public Member Functions inherited from elastix::BaseComponent
virtual void | AfterEachIteration ()
virtual void | AfterEachIterationBase ()
virtual void | AfterEachResolution ()
virtual void | AfterEachResolutionBase ()
virtual void | AfterRegistration ()
virtual void | AfterRegistrationBase ()
virtual int | BeforeAll ()
virtual int | BeforeAllBase ()
virtual void | BeforeEachResolutionBase ()
virtual void | BeforeRegistration ()
virtual void | BeforeRegistrationBase ()
virtual const char * | elxGetClassName () const
const char * | GetComponentLabel () const
| ITK_DISALLOW_COPY_AND_MOVE (BaseComponent)
| itkTypeMacroNoParent (BaseComponent)
void | SetComponentLabel (const char *label, unsigned int idx)

## Static Public Member Functions

static Pointer | New ()
Static Public Member Functions inherited from elastix::BaseComponent
template<typename TBaseComponent>
static auto | AsITKBaseType (TBaseComponent *const baseComponent) -> decltype(baseComponent->GetAsITKBaseType())
static void | InitializeElastixExecutable ()
static bool | IsElastixLibrary ()

## Protected Member Functions

| BSplineInterpolatorFloat ()=default
| ~BSplineInterpolatorFloat () override=default
Protected Member Functions inherited from elastix::InterpolatorBase< TElastix >
| InterpolatorBase ()=default
| ~InterpolatorBase () override=default
Protected Member Functions inherited from elastix::BaseComponentSE< TElastix >
| BaseComponentSE ()=default
| ~BaseComponentSE () override=default
Protected Member Functions inherited from elastix::BaseComponent
| BaseComponent ()=default
virtual | ~BaseComponent ()=default

## Private Attributes

| elxOverrideGetSelfMacro

## Additional Inherited Members

Protected Attributes inherited from elastix::BaseComponentSE< TElastix >
Configuration::ConstPointer | m_Configuration {}
itk::WeakPointer< TElastix > | m_Elastix {}
RegistrationType * | m_Registration {}

## Member Typedef Documentation

## ConstPointer

template<class TElastix>

using elastix::BSplineInterpolatorFloat< TElastix >::ConstPointer = itk::SmartPointer<const Self>

Definition at line 67 of file elxBSplineInterpolatorFloat.h.

## ITKBaseType

template<class TElastix>

using elastix::BSplineInterpolatorFloat< TElastix >::ITKBaseType = typename Superclass2::ITKBaseType

Definition at line 100 of file elxBSplineInterpolatorFloat.h.

## Pointer

template<class TElastix>

using elastix::BSplineInterpolatorFloat< TElastix >::Pointer = itk::SmartPointer<Self>

Definition at line 66 of file elxBSplineInterpolatorFloat.h.

## Self

template<class TElastix>

using elastix::BSplineInterpolatorFloat< TElastix >::Self = BSplineInterpolatorFloat

Standard ITK-stuff.

Definition at line 61 of file elxBSplineInterpolatorFloat.h.

## Superclass1

template<class TElastix>

using elastix::BSplineInterpolatorFloat< TElastix >::Superclass1

Initial value:
itk::BSplineInterpolateImageFunction<typename InterpolatorBase<TElastix>::InputImageType,
typename InterpolatorBase<TElastix>::CoordRepType,
float>
elastix::InterpolatorBase::CoordRepType
ElastixBase::CoordRepType CoordRepType
Definition elxInterpolatorBase.h:62

Definition at line 62 of file elxBSplineInterpolatorFloat.h.

## Superclass2

template<class TElastix>

using elastix::BSplineInterpolatorFloat< TElastix >::Superclass2 = InterpolatorBase<TElastix>

Definition at line 65 of file elxBSplineInterpolatorFloat.h.

## Constructor & Destructor Documentation

## BSplineInterpolatorFloat()

template<class TElastix>

elastix::BSplineInterpolatorFloat< TElastix >::BSplineInterpolatorFloat | ( |  | ) |

protected default

The constructor.

## ~BSplineInterpolatorFloat()

template<class TElastix>

elastix::BSplineInterpolatorFloat< TElastix >::~BSplineInterpolatorFloat | ( |  | ) |

override protected default

The destructor.

## Member Function Documentation

## BeforeEachResolution()

template<class TElastix>

void elastix::BSplineInterpolatorFloat< TElastix >::BeforeEachResolution | ( |  | ) |

override virtual

Execute stuff before each new pyramid resolution:

- Set the spline order.

Reimplemented from elastix::BaseComponent.

## elxClassNameMacro()

template<class TElastix>

elastix::BSplineInterpolatorFloat< TElastix >::elxClassNameMacro | ( | "BSplineInterpolatorFloat< TElastix >" |  | ) |

Name of this class. Use this name in the parameter file to select this specific interpolator.
example: (Interpolator "BSplineInterpolatorFloat")

## GetClassName()

template<class TElastix>

virtual const char * elastix::BSplineInterpolatorFloat< TElastix >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from elastix::InterpolatorBase< TElastix >.

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TElastix>

elastix::BSplineInterpolatorFloat< TElastix >::ITK_DISALLOW_COPY_AND_MOVE | ( | BSplineInterpolatorFloat< TElastix > |  | ) |

## itkStaticConstMacro()

template<class TElastix>

elastix::BSplineInterpolatorFloat< TElastix >::itkStaticConstMacro | ( | ImageDimension | ,
|  | unsigned int | ,
|  | Superclass1::ImageDimension | )

Get the ImageDimension.

## New()

template<class TElastix>

Pointer elastix::BSplineInterpolatorFloat< TElastix >::New | ( |  | ) |

static

Method for creation through the object factory.

## Field Documentation

## elxOverrideGetSelfMacro

template<class TElastix>

elastix::BSplineInterpolatorFloat< TElastix >::elxOverrideGetSelfMacro

private

Definition at line 115 of file elxBSplineInterpolatorFloat.h.

Generated on 1768596610 for elastix by 1.15.0 |